/**
 * /script/.js
 * @version 1.2
 * @desc Script file for the index
 * @author Fándly Gergő Zoltán (gergo@systemtest.tk, systemtest.tk)
 * @copy 2018 Fándly Gergő Zoltán
 * License:
    Systemtest.tk website's.
    Copyright (C) 2018  Fándly Gergő Zoltán

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 **/

var current=0;
function loadNews(){
    $.ajax({
        url: "./subs/loader.php",
        type: "GET",
        data: {"load":"", "backend":true, "news_offset":current, "news_limit":15},
        success: function(response){
            var news=(response instanceof Object)?response:JSON.parse(response);
            $.each(news, function(i, val){
                var cur=(val instanceof Object)?val:JSON.parse(val);
                var el=$("<div class=\"news\"><\div>");
                el.html("<p><b>"+cur.subject+"</b></p><p style=\"font-size: 0.7em\">"+cur.date+"</p><hr class=\"separator\">");
                var container=$("<div class=\"ql-snow\"></div>");
                var quill=$("<div style=\"text-align: initial\" class=\"ql-editor\"></div>");
                loadQuill(quill, cur.content);
                quill.appendTo(container);
                container.appendTo(el);
                el.hide().appendTo("#news").slideDown();
                $("<br><br>").hide().appendTo("#news").slideDown();
            });
        }
    });
    current+=15;
}
